| Kea 3.0.2-git

sockaddr_util.h File Reference
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <exceptions/isc_assert.h>`
Include dependency graph for sockaddr_util.h:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::io
namespace | isc::util::io::internal

## Functions
template<typename SAType>
const struct sockaddr * | isc::util::io::internal::convertSockAddr (const SAType *sa)
template<typename SAType>
const SAType * | isc::util::io::internal::convertSockAddr (const struct sockaddr *sa)
template<typename SAType>
struct sockaddr * | isc::util::io::internal::convertSockAddr (SAType *sa)
template<typename SAType>
SAType * | isc::util::io::internal::convertSockAddr (struct sockaddr *sa)
socklen_t | isc::util::io::internal::getSALength (const struct sockaddr &sa)